Subject: Re: [PATCH v3 0/3] arm64: Dealing with VHE-only CPUs

From: Marc Zyngier <[email-masked]>
Date: Thu, 08 Apr 2021 19:08:18 +0100

On 2021-04-08 19:00, Catalin Marinas wrote:
> On Thu, 8 Apr 2021 14:10:07 +0100, Marc Zyngier wrote:
>> This short series is a rewrite of [0] after some reviewing from
>> Will. It simplifies the esoteric "stay at EL2" path, and move the
>> feature override code where it actually belongs, allowing us to tell
>> the user that no, nVHE isn't a thing on these system.
>> 
>> The last patch rids us of CONFIG_ARM64_VHE, which has been the default
>> for longer than I can remember.
>> 
>> [...]
> 
> Applied to arm64 (for-next/vhe-only), thanks!
> 
> [1/3] arm64: cpufeature: Allow early filtering of feature override
>       https://git.kernel.org/arm64/c/cac642c12a80
> [2/3] arm64: Cope with CPUs stuck in VHE mode
>       https://git.kernel.org/arm64/c/31a32b49b80f
> [3/3] arm64: Get rid of CONFIG_ARM64_VHE
>       https://git.kernel.org/arm64/c/2d726d0db6ac

Thanks Catalin.

In order to avoid conflicts with my SVE branch, I've taken this branch
into the kvmarm tree.

Please let me know if you decide to drop it for any reason, and I'll do
the same on my side.

Cheers,

         M.
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel